<%
 If saferequest("shopid")<>"" And Not isnumeric(saferequest("shopid"))  Then
	 response.redirect"../../note.jsp?errid=0"
End If
If request("shopid")="" Then 
	 response.redirect"../../note.jsp?errid=0"
End If
%>
<!--#include file="../../FHeadTitle.jsp"-->
<!--#include file="../../FFunction.jsp"-->
<!--#include file="../../inc/page.jsp"-->
<!--#include file="../../inc/ubbhtml.jsp"-->

<%IsShowChannel=False
IsShowHotKey=False
userlbid=Trim(saferequest("lbid"))
If saferequest("shopid")<>"" Then 
 sellxinyong=conn.execute("select sum(sellxinyong) from list where userid="&saferequest("shopid")&" ")(0)
 If sellxinyong<>"" Then
 else
 sellxinyong=0
 End if
numbers=conn.execute("select count(id) from chanpin where userid="&saferequest("shopid")&"")(0)


buyxinyong=conn.execute("select sum(buyxinyong) from list where username='"&username&"'")(0)
 If buyxinyong<>"" Then
 else
 buyxinyong=0
 End if
Set rs = Server.CreateObject("ADODB.Recordset")
sql="select * from huiyuan where huiyuan ='" &huiyuan&"'"
rs.open sql,conn,3,2
if not rs.eof and not rs.bof Then
End if
Set rs = Server.CreateObject("ADODB.Recordset")
sql="select * from shop where id =" &saferequest("shopid")
rs.open sql,conn,3,2
if not rs.eof and not rs.bof then
shopname=rs("name")
username=rs("name2")
shoplogo=rs("logo")
huiyuan=rs("huiyuan")
shopdz=rs("dz1")
dpjs=rs("js")
sj=rs("sj")
shoptel=rs("tel")

mail=rs("mail")
oicq=rs("oicq")
shopjs=rs("js")
shopshfw=rs("fw")

If rs("dpmb")<>1 Then  
Select case rs("dpmb")
      case "2"
	   Response.redirect "../2/shop2news.jsp?shopid="&saferequest("shopid")&"&id="&saferequest("id")&""
		Response.end
   case "3"
	    Response.redirect "../3/shop3news.jsp?shopid="&saferequest("shopid")&"&id="&saferequest("id")&""
		Response.End
	case "4"
	    Response.redirect "../4/shop4news.jsp?shopid="&saferequest("shopid")&"&id="&saferequest("id")&""
		Response.End
	case "5"
	    Response.redirect "../5/shop5news.jsp?shopid="&saferequest("shopid")&"&id="&saferequest("id")&""
		Response.End
	case "6"
	    Response.redirect "../6/shop6news.jsp?shopid="&saferequest("shopid")&"&id="&saferequest("id")&""
		Response.End
	case "7"
	    Response.redirect "../7/shop7news.jsp?shopid="&saferequest("shopid")&"&id="&saferequest("id")&""
		Response.end
End Select
End if



rs.close
Set rs=Nothing
else
	 response.redirect"../../note.jsp?errid=5"
response.End
end If
End If%>
<html xmlns="http://www.w3.org/1999/xhtml">
<style type="text/css">
<!--
.STYLE3 {font-weight: bold}
-->
</style>
<head>
    <title><%=my_name%> -- <%=shopname%></title>
    <meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
        <meta name="description" content="网上购物,店铺,特色店铺,<%=shopname%>. />
        <meta name="keywords" content="网上购物,店铺,特色店铺,<%=shopname%>." />
    <link href="../../images/favicon.ico" rel="icon" type="image/x-icon" />
    <link href="../../images/favicon.ico" rel="shortcut icon" type="image/x-icon" />
    <style type="text/css" media="screen">
@import url("../../css/v1.2.php@t=2006512.css");
.STYLE5 {font-size: 14}
    </style>

        <script src="../../css/common.js?t=20050304" language="javascript" type="text/javascript"></script>
    <script src="../../css/common.js?t=20050304" type="text/javascript"></script>
        <script language="javascript" type="text/javascript">
    //<![CDATA[
    var ver=navigator.appVersion;
    if(ver.indexOf("MSIE 5")!=-1)
    	document.write('<link href="../../home/css/shop/red_ie5.css" rel="stylesheet" rel="stylesheet" type="text/css" media="screen" />');
    else
    	document.write('<link href="../../home/css/shop/red.css" rel="stylesheet" rel="stylesheet" type="text/css" media="screen" />');
    //]]>
    </script>
</head>
</div>
<!--#include file="../../fheadall.jsp" -->
<div class="HackBox"></div>
<div id="Content">
<div id="ShopFP">

	<div id="PathBar" ><a href="../../index.jsp">您的位置：首页</a> >> <a href="../../shopindex.jsp?PageType=B">所有店铺</a> >> <a href="myshop.jsp?shopid=<%=saferequest("shopid")%>"><%=shopname%></a>
	</div>
	<div id="NavBar">
		<div id="NBShopName">【<%=shopname%>】</div>
		<div id="NBPersonalInfo"><a href="myshopjs.jsp?shopid=<%=saferequest("shopid")%>">【店铺介绍】</a></div>
		<div id="NBCredit"><a href="../../renzhengshow.jsp?huiyuan=<%=huiyuan%>&shopid=<%=saferequest("shopid")%>">【信用评价】</a></div>
	</div>
	<div id="ShopInfo">
		<div id="PicAndFav">
			<div id="ShopPic">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
					<td align="center">
<div style="clear:both"><img src="../../members/images/logo/<%If shoplogo<>"" then%><%=shoplogo%><%else%>user_logo.gif<%End if%>" height="50" width=120 alt="店标"></div></td>
					</tr>
				</table>
			</div>
			<div id="AddToFav">
		<a href="../../members/shoucang.jsp?type=2&id=<%=saferequest("shopid")%>">收藏本店铺</a>
		  </div><br></nobr>
		  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="../../zhanneixin/fa.jsp?huiyuan=<%=huiyuan%>" target=_blank><B>给掌柜发信</B></a>
		</div>
		<div id="ShopInfoList">
			<ul>
				<li><span class="ListHint">　　掌柜:</span><%=username%> 					

<a href="../../renzhengshow.jsp?huiyuan=<%=huiyuan%>&shopid=<%=saferequest("shopid")%>" target="_blank">
<%rz = conn.execute("select rz from huiyuan where huiyuan='"&huiyuan&"'")(0)%>
<%renzheng()%></a>								</li>
				<li><span class="ListHint">卖家信用:</span><%=buyxinyong%></li>
				<li><span class="ListHint">买家信用:</span><%=sellxinyong%></li>
				<li><span class="ListHint">　商品数:</span><%=numbers%></li>
				<li><span class="ListHint">创店时间:</span><%=sj%></li>
				<li><span class="ListHint">　　地址:</span><%=shopdz%></li>
			</ul>
	        <p> <span class="STYLE3"><a href="myshopfaq.jsp?shopid=<%=saferequest("shopid")%>">相关问题</a>&nbsp; <a href="shopguestbook.jsp?shopid=<%=saferequest("shopid")%>">店铺留言</a></span>&nbsp;&nbsp;<a href="shopshfw.jsp?shopid=<%=saferequest("shopid")%>"><strong>售后服务</strong></a></p>
	  </div>
		<div id="ShopAnnounceContainer">
			<div id="ShopAnnounce">
				<div id="ShopAnnounceTitle">店铺公告</div>
				<div id="ShopAnnounceContent">
				<marquee style="position:relative;" onMouseOver="this.stop()" onMouseOut="this.start()" scrollamount="1" scrolldelay="85" direction="up" behavior="scroll"  height="60">
<%Set rs = Server.CreateObject("ADODB.Recordset")
sql="Select top 6 * From user_news where userid="&saferequest("shopid")&" Order By id DESC"
rs.open sql,conn,3,1
if rs.eof and rs.bof then
Response.Write("暂无公告")
end if
do while not rs.eof%>
    <tr valign="middle" bgcolor="#f1f1f1"> 
 <td height="25"><li><a href="shopnews.jsp?shopid=<%=saferequest("shopid")%>&id=<%=rs("id")%>" target="_blank"><%=rs("bt")%></a></li><br>
 <%=rs("sj")%>
<%i=i+1
rs.MoveNext                                              
loop%></td>
      </tr>
    <tr align="center" valign="middle" bgcolor="#f1f1f1"> 
      <td height="25" colspan="5">
<%
rs.close:set rs=nothing%></td>
    </tr>
				  </marquee>
				</div>
			</div>
		</div>
		
		<div class="HackBox"></div>
	</div>
	
<!-- 介绍 -->
<div class="ReItem">
  <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr >
      <td><table width="100%" border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#ffe1eb">
          <tr>
            <td height="30" align="center" valign="middle"><strong>
              <%set rs = conn.execute("select bt,nr,sj from user_news where userid="&saferequest("shopid")&" and id="&saferequest("id")&"")
conn.execute("update user_news set js=js+1 where id="&saferequest("id")&"")
Response.Write "<font color=#ff6600>"&rs("bt")&"</font>"%>
              </strong><br>
              <br>
              <span class="STYLE5">(时间:<%=rs("sj")%>)</span></td>
          </tr>
          <tr>
            <td height="280" valign="top" ><table width="85%" border="0" align="center" cellpadding="0" cellspacing="5">
                <tr>
                  <td><%txt = rs("nr")
txt = Replace(txt, chr(32), "&nbsp;")
txt = Replace(txt, vbCrLf, "<br>")
txt=ubbcode(txt)
Response.Write "&nbsp;&nbsp;&nbsp;"&txt%></td>
                </tr>
              </table></td>
          </tr>
          <tr>
            <td height="25" align="right" valign="middle" > 新闻发布时间：
              <%Response.Write rs("sj")
rs.close
set rs=nothing%>
              &nbsp;&nbsp;&nbsp;&nbsp;</td>
          </tr>
      </table></td>
    </tr>
  </table>
</div>

<div class="HackBox"></div>
  </div>
</div>
<!--#include file="../../members/mybottom.jsp" -->
<div id="AdDetector">    		
</body>
</html>
